int f( int formal1, formal2, formal3, formal4; )
	begin
		int local1, local2, local3, local4;
		local1 = formal1;
		local2 = formal2;
		local3 = formal3;
		local4 = formal4;
		printf( "local1 = %d\n", local1 );
		printf( "local2 = %d\n", local2 );
		printf( "local3 = %d\n", local3 );
		printf( "local4 = %d\n", local4 );
		return 1234;
	end
int actual1, actual2, actual3, actual4;
actual1 = 1;
actual2 = 2;
actual3 = 3;
actual4 = 4;
int result;
result = f( actual1, actual2, actual3, actual4 );
printf( "result = %d\n", result );
